DosWordParserInternal::PAP Struct Reference documentation

Classes | Public Member Functions | Public Attributes | List of all members
DosWordParserInternal::PAP Struct Reference

## Classes
struct | TBD

## Public Member Functions
| PAP ()
| constructor

## Public Attributes
uint8_t | m_style
uint8_t | m_justification
uint8_t | m_reserved2 [2]
uint16_t | m_dxaRight
uint16_t | m_dxaLeft
uint16_t | m_dxaLeft1
uint16_t | m_dyaLine
uint16_t | m_dyaBefore
uint16_t | m_dyaAfter
uint8_t | m_rhc
uint8_t | m_border
uint8_t | m_shade
uint8_t | m_pos
uint16_t | m_dxaFromText
struct DosWordParserInternal::PAP::TBD | m_TBD [20]

## Constructor & Destructor Documentation

## ◆ PAP()

DosWordParserInternal::PAP::PAP | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_border

uint8_t DosWordParserInternal::PAP::m_border

Referenced by PAP(), and DosWordParser::readPAP().

## ◆ m_dxaFromText

uint16_t DosWordParserInternal::PAP::m_dxaFromText

Referenced by PAP().

## ◆ m_dxaLeft

uint16_t DosWordParserInternal::PAP::m_dxaLeft

Referenced by PAP(), and DosWordParser::readPAP().

## ◆ m_dxaLeft1

uint16_t DosWordParserInternal::PAP::m_dxaLeft1

Referenced by PAP(), and DosWordParser::readPAP().

## ◆ m_dxaRight

uint16_t DosWordParserInternal::PAP::m_dxaRight

Referenced by PAP(), and DosWordParser::readPAP().

## ◆ m_dyaAfter

uint16_t DosWordParserInternal::PAP::m_dyaAfter

Referenced by PAP(), and DosWordParser::readPAP().

## ◆ m_dyaBefore

uint16_t DosWordParserInternal::PAP::m_dyaBefore

Referenced by PAP(), and DosWordParser::readPAP().

## ◆ m_dyaLine

uint16_t DosWordParserInternal::PAP::m_dyaLine

Referenced by PAP(), and DosWordParser::readPAP().

## ◆ m_justification

uint8_t DosWordParserInternal::PAP::m_justification

Referenced by PAP(), and DosWordParser::readPAP().

## ◆ m_pos

uint8_t DosWordParserInternal::PAP::m_pos

Referenced by PAP(), and DosWordParser::readPAP().

## ◆ m_reserved2

uint8_t DosWordParserInternal::PAP::m_reserved2[2]

Referenced by PAP().

## ◆ m_rhc

uint8_t DosWordParserInternal::PAP::m_rhc

Referenced by PAP(), and DosWordParser::readPAP().

## ◆ m_shade

uint8_t DosWordParserInternal::PAP::m_shade

Referenced by PAP(), and DosWordParser::readPAP().

## ◆ m_style

uint8_t DosWordParserInternal::PAP::m_style

Referenced by PAP(), and DosWordParser::readPAP().

## ◆ m_TBD

struct DosWordParserInternal::PAP::TBD DosWordParserInternal::PAP::m_TBD[20]

Referenced by DosWordParser::readPAP().

The documentation for this struct was generated from the following file:

- DosWord.cpp